#
# spec file for package erfa
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           erfa
%define lname	liberfa1
Version:        1.4.0
Release:        lp152.3.6
Summary:        Essential Routines for Fundamental Astronomy
License:        BSD-3-Clause
Group:          Productivity/Scientific/Other
Url:            https://github.com/liberfa/erfa
Source:         https://github.com/liberfa/erfa/releases/download/v%{version}/erfa-%{version}.tar.gz
BuildRequires:  autoconf >= 2.68
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
ERFA is a C library containing key algorithms for astronomy, and is based on
the SOFA library published by the International Astronomical Union (IAU).

%package -n %{lname}
Summary:        Essential Routines for Fundamental Astronomy
Group:          System/Libraries

%description -n %{lname}
ERFA is a C library containing key algorithms for astronomy, and is based on
the SOFA library published by the International Astronomical Union (IAU).

ERFA is intended to replicate the functionality of SOFA (aside from possible
bugfixes in ERFA that have not yet been included in SOFA), but is licensed
under a three-clause BSD license to enable its compatibility with a wide
range of open source licenses. Permission for this release has been obtained
from the SOFA board, and is avilable in the LICENSE file included in this
source distribution.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries/C and C++
Requires:       %{lname} = %{version}

%description    devel
This package contains libraries and header files for developing
applications that use %{name}.

%package        devel-static
Summary:        Static development files for %{name}
Group:          Development/Libraries/C and C++
Requires:       %{name}-devel = %{version}

%description    devel-static
This package contains libraries and header files for developing
applications that link statically to %{name}.

%prep
%setup -q

%build
./bootstrap.sh
%configure
make %{?_smp_mflags}

%install
%makeinstall
# *.la should not be packaged (see packaging guidelines: static Libraries)
rm %{buildroot}%{_libdir}/liberfa.la

%post   -n %{lname} -p /sbin/ldconfig
%postun -n %{lname} -p /sbin/ldconfig

%files -n %{lname}
%defattr(-,root,root)
%doc INFO LICENSE README.rst
%{_libdir}/liberfa.so.1
%{_libdir}/liberfa.so.1.*

%files devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/liberfa.so
%{_libdir}/pkgconfig/erfa.pc

%files devel-static
%defattr(-,root,root)
%{_libdir}/liberfa.a

%changelog
* Wed Sep 13 2017 badshah400@gmail.com
- Update to version 1.4.0:
  - ERFA 1.4.0 adds the eraVersion and eraSofaVersion functions to
    determine the installed version of ERFA (and the SOFA version
    it is derived from).
  - ERFA 1.4.0 includes some bug fixes contributed to ERFA after
    1.3.0 but before 1.4.0. These were incorporated (with
    modification) into SOFA "20170420" (without attribution) and
    hence these are not differences between ERFA and SOFA
    (gh#liberfa/erfa#40, gh#liberfa/erfa#41).
* Wed May 24 2017 toddrme2178@gmail.com
- Update to version 1.3.0
  * based on SOFA version "20160503_a"
* Sun Jul 17 2016 jengelh@inai.de
- erfa-devel needs to require liberfa1, not erfa1.
* Thu Jul 14 2016 matwey.kornilov@gmail.com
- Do not package *.la as required by guidelines
* Thu Jan 28 2016 toddrme2178@gmail.com
- Update to version 1.2.0
  * based on SOFA version "20150209_a"
* Thu May 21 2015 toddrme2178@gmail.com
- Update to version 1.1.1
  * No upstream changelog
* Sun Mar  8 2015 arun@gmx.de
- specfile:
  * update copyright year
  * remove RELEASE.rst,  not in tar-ball anymore
- update to version 1.1.1:
  * Update to SOFA 2015-02-09
  * updated ERFA_LIB_VERSION_INFO to reflect new version
  * Update package version info
  * pdate to latest ERFA source
  * Renamed tk to tc in erfa.h
- changes from version 1.1.0:
  * Added bugfix section and discussion of #14
  * Minor typo fix
  * Update to 20131202_b
  * Import SOFA 20131202
* Thu Feb  6 2014 toddrme2178@gmail.com
- Fix devel package requires
* Tue Feb  4 2014 toddrme2178@gmail.com
- Initial version (1.0.1)
